<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID"
		value="#{discardManager.extractIDFromInitialisation()}" />
	<ui:define name="head">
		<h:outputStylesheet library="stylesheet" name="resultStyle.css" />
	</ui:define>
	<ui:define name="body">
		<h:form id="globalForm">
			<rich:messages globalOnly="true" styleClass="message" />

			#{discardManager.init()}
			
			<h1>#{discardManager.getTheNameOfThePage()}</h1>
			<s:div id="globalDiv">
				<gri:panel id="mainPanel">
					<f:facet name="header">#{discardManager.getTheNameOfThePage()}</f:facet>
					<s:div
						rendered="#{(discardManager.selectedAffinityDomain != null) and (discardManager.selectedTransaction != null)}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolAllowsToSimulateTheTransaction']} #{discardManager.selectedTransaction.keyword}. " />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisTransactionAllowsToDeleteDocumentsFromARepos']} " />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo_2']} " />
						<ul>
							<li><h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.SelectYourRegistryConfigurationOrAddANewOneOnThe']} "/>
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.RespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilTheRequestParametersWhichAreAListOfObjectR']} " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ExecuteTheRequestUsingTheButtonexecute']} " />
								<h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.YouCanPreviewYourRequestSOAPByUsingTheButtonprev']}" /></li>
						</ul>
					</s:div>
					<ui:include src="/simu/header.xhtml">
						<ui:param name="divToRerender"
								  value="messageConfigurationDiv,messagesDiv,actionButtons"/>
						<ui:param name="simuManager" value="#{discardManager}" />
						<ui:param name="diagramFile"
							value="#{discardManager.getImageDiscard()}" />
						<ui:param name="sourceID" value="#{discardManager.getSourceOid()}" />
						<ui:param name="homeCommunityID"
							value="#{discardManager.gethomeCommunityId()}" />
						<ui:param name="simulatorConfigurationName"
							value="#{messages['net.ihe.gazelle.xdstar.InitGatewayDocAdministrator']}" />
						<ui:param name="displaySourceId" value="#{false}" />
						<ui:param name="displayhomeCommunityId" value="#{false}" />
					</ui:include>
					<s:div id="messageConfigurationDiv">
						<s:div id="messageConfigurationDivR"
							rendered="#{discardManager.selectedConfiguration != null}">
							<s:div id="parametersDiv">
								<gri:panel>
									<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RequestParameters']}</f:facet>
									<br />
									<a4j:commandButton styleClass="gzl-btn-green"
										oncomplete="jq162('#AddObjectRefPanel').modal('show');"
										actionListener="#{discardManager.initSelectedObjectRef()}"
										value="#{messages['net.ihe.gazelle.xdstar.AddObjectRefToDelete']}"
										render="AddObjectRefPanelForm" />
									<s:div
										rendered="#{discardManager.removeObjectsRequest.objectRefList.getObjectRef().size()&gt;0}">
										<br />
										<hr />
										<h:outputText
											value="#{messages['net.ihe.gazelle.xdstar.ListOfObjectReferencesToDelete']}"
											style="font-weight:bold;" />
										<rich:list id="dataTable"
											value="#{discardManager.removeObjectsRequest.objectRefList.objectRef}"
											var="objref" type="unordered">
											<h:panelGrid columns="5">
												<h:outputText value="#{objref.id}" />
												<gdk:spacer width="15px" />
												<a4j:commandLink
													title="#{messages['net.ihe.gazelle.xdstar.EditCurrentObjectReference']}"
													actionListener="#{discardManager.setSelectedObjectRef(objref)}"
													oncomplete="jq162('#EditObjectRefPanel').modal('show');"
													execute="@this"
													render="EditObjectRefPanelForm">
													<span class="gzl-icon-pencil"/>
												</a4j:commandLink>
												<gdk:spacer width="5px" />
												<a4j:commandLink
													title="#{messages['net.ihe.gazelle.xdstar.DeleteCurrentObjectReference']}"
													actionListener="#{discardManager.deleteObjectRef(objref)}"
													execute="@this"
													render="parametersDiv">
													<span class="gzl-icon-trash-o"/>
												</a4j:commandLink>
											</h:panelGrid>
										</rich:list>
									</s:div>
								</gri:panel>
							</s:div>
							<!-- XUA -->
							<f:subview id="subview_1">
								<ui:include src="/simu/xua_with_trc.xhtml">
									<ui:param name="simuManager" value="#{discardManager}" />
								</ui:include>
							</f:subview>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{discardManager.selectedConfiguration != null}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							actionListener="#{discardManager.sendMessage()}"
							value="#{messages['gazelle.xca.initgw.Execute']}"
							rendered="#{discardManager.selectedConfiguration != null}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{discardManager.reset()}"
							value="#{messages['gazelle.xca.initgw.Reset']}"
							render="globalDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{discardManager.displayResultPanel == true}">
						<f:facet name="header">#{messages['gazelle.xca.initgw.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_2">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean"
									value="#{allMessageManagerBean}" />
							</ui:include>

						</f:subview>
						<br />

					</gri:panel>
				</s:div>
			</s:div>
		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form id="previewMessagePanelForm">
				<s:div id="previewMessagePanelDiv"
					rendered="#{(discardManager.selectedConfiguration != null) and (discardManager.selectedConfiguration != null)}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{discardManager.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
		<h:form id="AddObjectRefPanelForm">
			<gri:popupPanel id="AddObjectRefPanel" bodyStyleClass="gzl-select-modal-overflow-visible">
				<f:facet name="header">
					<h:outputText
						value="#{messages['net.ihe.gazelle.xdstar.AddObjectRefID']}" />
				</f:facet>
				
				<s:decorate template="/layout/form/_edit.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ObjectRefID']}</ui:define>
					<h:inputText value="#{discardManager.selectedObjectRef.id}" styleClass="form-control"
						size="40" />
				</s:decorate>

				<f:facet name="footer">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#AddObjectRefPanel').modal('hide')"
									   execute="@this" />
					<a4j:commandButton styleClass="gzl-btn-green"
						value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
						actionListener="#{discardManager.addSelectedObjectRef()}"
						onclick="jq162('#AddObjectRefPanel').modal('hide');"
						render="parametersDiv" />
				</f:facet>
			
			</gri:popupPanel>
		</h:form>
		<h:form id="EditObjectRefPanelForm">
			<gri:popupPanel id="EditObjectRefPanel" width="520" height="110">
				<f:facet name="header">
					<h:outputText
						value="#{messages['net.ihe.gazelle.xdstar.UpdateObjectRefID']}" />
				</f:facet>
				
				<s:decorate template="/layout/form/_edit.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ObjectRefID']}</ui:define>
					<h:inputText value="#{discardManager.selectedObjectRef.id}" styleClass="form-control"
						size="40" />
				</s:decorate>
				
				<f:facet name="footer">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#EditObjectRefPanel').modal('hide')"
									   execute="@this" />
					<a4j:commandButton styleClass="gzl-btn-green"
						value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
						onclick="jq162('#EditObjectRefPanel').modal('hide');"
						render="parametersDiv" />
				</f:facet>
			</gri:popupPanel>
		</h:form>
	</ui:define>
</ui:composition>
